function $AdfIEUIInputEvent$$($sourceComponent$$11$$, $type$$130$$, $event$$85$$) {
  this.Init($sourceComponent$$11$$, $type$$130$$, $event$$85$$);
}
$goog$exportSymbol$$("AdfIEUIInputEvent", $AdfIEUIInputEvent$$);
$AdfObject$$.$createSubclass$($AdfIEUIInputEvent$$, $AdfDomUIInputEvent$$);
$AdfIEUIInputEvent$$.prototype.$getOffsetX$ = function $$AdfIEUIInputEvent$$$$$getOffsetX$$() {
  var $nativeEvent$$16$$ = this.Event, $agent$$20$$ = $AdfAgent$$.$AGENT$, $componentLeft$$ = $agent$$20$$.$getElementLeft$(this.$GetSourceDomElement$());
  return $agent$$20$$.$getElementLeft$($agent$$20$$.$getEventTarget$($nativeEvent$$16$$)) - $componentLeft$$ + $nativeEvent$$16$$.offsetX;
};
$AdfObject$$.$exportPrototypeSymbol$("AdfIEUIInputEvent.prototype.getOffsetX", {$getOffsetX$:$AdfIEUIInputEvent$$.prototype.$getOffsetX$});
$AdfIEUIInputEvent$$.prototype.$getOffsetY$ = function $$AdfIEUIInputEvent$$$$$getOffsetY$$() {
  var $nativeEvent$$17$$ = this.Event, $agent$$21$$ = $AdfAgent$$.$AGENT$, $componentTop$$ = $agent$$21$$.$getElementTop$(this.$GetSourceDomElement$());
  return $agent$$21$$.$getElementTop$($agent$$21$$.$getEventTarget$($nativeEvent$$17$$)) - $componentTop$$ + $nativeEvent$$17$$.offsetY;
};
$AdfObject$$.$exportPrototypeSymbol$("AdfIEUIInputEvent.prototype.getOffsetY", {$getOffsetY$:$AdfIEUIInputEvent$$.prototype.$getOffsetY$});
$AdfIEUIInputEvent$$.prototype.$getPageX$ = function $$AdfIEUIInputEvent$$$$$getPageX$$() {
  var $nativeEvent$$18$$ = this.Event;
  return $AdfAgent$$.$AGENT$.$getEventTarget$($nativeEvent$$18$$).ownerDocument.documentElement.scrollLeft + $nativeEvent$$18$$.clientX + 2;
};
$AdfObject$$.$exportPrototypeSymbol$("AdfIEUIInputEvent.prototype.getPageX", {$getPageX$:$AdfIEUIInputEvent$$.prototype.$getPageX$});
$AdfIEUIInputEvent$$.prototype.$getPageY$ = function $$AdfIEUIInputEvent$$$$$getPageY$$() {
  var $nativeEvent$$19$$ = this.Event;
  return $AdfAgent$$.$AGENT$.$getEventTarget$($nativeEvent$$19$$).ownerDocument.documentElement.scrollTop + $nativeEvent$$19$$.clientY + 2;
};
$AdfObject$$.$exportPrototypeSymbol$("AdfIEUIInputEvent.prototype.getPageY", {$getPageY$:$AdfIEUIInputEvent$$.prototype.$getPageY$});
$AdfIEUIInputEvent$$.prototype.$getButtons$ = function $$AdfIEUIInputEvent$$$$$getButtons$$() {
  return this.Event.button;
};
$AdfObject$$.$exportPrototypeSymbol$("AdfIEUIInputEvent.prototype.getButtons", {$getButtons$:$AdfIEUIInputEvent$$.prototype.$getButtons$});
$AdfIEUIInputEvent$$.prototype.$isLeftButtonPressed$ = function $$AdfIEUIInputEvent$$$$$isLeftButtonPressed$$() {
  var $eventType$$29$$ = this.getType();
  return $eventType$$29$$ == $AdfUIInputEvent$$.$CLICK_EVENT_TYPE$ || $eventType$$29$$ == $AdfUIInputEvent$$.$DOUBLE_CLICK_EVENT_TYPE$ ? !0 : $AdfIEUIInputEvent$$.$superclass$.$isLeftButtonPressed$.call(this);
};
$AdfObject$$.$exportPrototypeSymbol$("AdfIEUIInputEvent.prototype.isLeftButtonPressed", {$isLeftButtonPressed$:$AdfIEUIInputEvent$$.prototype.$isLeftButtonPressed$});
